using System;
using Foxit.PDF.Merger;
using Foxit.PDF.Forms;

public partial class FieldLevelFlattening : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        MergeDocument document = new MergeDocument(MapPath("../PDFs/fw9AcroForm_14_filled.pdf"));

        document.Form.Fields["topmostSubform[0].Page1[0].f1_1[0]"].Output = FormFieldOutput.Remove;
        document.Form.Fields["topmostSubform[0].Page1[0].f1_2[0]"].Output = FormFieldOutput.Flatten;
        document.Form.Fields["topmostSubform[0].Page1[0].Address[0].f1_7[0]"].Output = FormFieldOutput.Flatten;
        document.Form.Fields["topmostSubform[0].Page1[0].Address[0].f1_8[0]"].Output = FormFieldOutput.Remove;

        document.DrawToWeb("FieldLevelFlattening.pdf");
    }
}
